#version 150

#moj_import <fog.glsl>

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;
uniform vec2 ScreenSize;
uniform float GameTime;

in mat4 ProjInv;
in float isSky;
in float vertexDistance;
in float vertexID;

out vec4 fragColor;


void main() {
    vec4 Pos0 = gl_FragCoord;
    Pos0.xy = (Pos0.xy / ScreenSize - vec2(0.5)) * 2.0;
    Pos0.zw = vec2(1.0);
    vec3 view = normalize((ProjInv * Pos0).xyz);

    float vecDot1 = dot(view, vec3(0.0, 2.0, 0.0));
    float vecDot2 = dot(view, vec3(2.0, 0.0, 0.0));
    float vecDot3 = dot(view, vec3(0.0, 0.0, 2.0));
    float vecDot4 = dot(view, vec3(0.0, -2.0, 0.0));
    float vecDot5 = dot(view, vec3(-2.0, 0.0, 0.0));
    float vecDot6 = dot(view, vec3(0.0, 0.0, -2.0));

    fragColor = vec4(0.0, 0.0, 0.0, 0.0);

    if (fract(vecDot1 * GameTime * 50 + 0.078) < 0.1
     || fract(vecDot2 * GameTime * 50 + 0.078) < 0.1
     || fract(vecDot3 * GameTime * 50 + 0.078) < 0.1
     || fract(vecDot4 * GameTime * 50 + 0.078) < 0.1
     || fract(vecDot5 * GameTime * 50 + 0.078) < 0.1
     || fract(vecDot6 * GameTime * 50 + 0.078) < 0.1) {
        vec3 GTC = vec3(0.0, 0.0, 0.0);
        float GT = mod(GameTime * 27000, 27000);

        if (GT < 4500){
            GTC.x = 0.1;
            GTC.y = GT / 45000;
            }
        else if (GT < 9000){
            GTC.x = (9000 - GT) / 45000;
            GTC.y = 0.1;
            }
        else if (GT < 13500){
            GTC.y = 0.1;
            GTC.z = (GT - 9000) / 45000;
            }
        else if (GT < 18000){
            GTC.y = (18000 - GT) / 45000;
            GTC.z = 0.1;
            }
        else if (GT < 22500){
            GTC.x = (GT - 18000) / 45000;
            GTC.z = 0.1;
            }
        else if (GT < 27000){
            GTC.x = 0.1;
            GTC.z = (27000 - GT) / 45000;
            }
        fragColor = vec4(GTC/3, 1.0);
    }
}
